osl::container::PieceMask64 Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
osl::container::PieceMask64 Class Reference

`#include <pieceMask64.h>`

## Public Member Functions
| PieceMask64 ()
| PieceMask64 (misc::Mask64 const &m)
const misc::Mask64 & | getMask (int) const
void | resetAll ()
void | setAll ()
PieceMask64 & | operator^= (const PieceMask64 &o)
PieceMask64 & | operator&= (const PieceMask64 &o)
PieceMask64 & | operator|= (const PieceMask64 &o)
PieceMask64 & | operator-= (const PieceMask64 &o)
PieceMask64 & | operator+= (const PieceMask64 &o)
bool | none () const
bool | hasMultipleBit () const
int | countBit2 () const
| bit の数を2まで数える More...
int | countBit () const
int | takeOneBit ()

## Static Public Member Functions
static int | numToIndex (int)
static int | numToOffset (int num)

## Protected Member Functions
misc::Mask64 & | mutableMask (int)

## Protected Attributes
misc::Mask64 | mask

## Detailed Description

Definition at line 12 of file pieceMask64.h.

## Constructor & Destructor Documentation

osl::container::PieceMask64::PieceMask64 | ( | ) |  |
| inline

Definition at line 19 of file pieceMask64.h.

References resetAll().

osl::container::PieceMask64::PieceMask64 | ( | misc::Mask64 const & | m) |  |
| inlineexplicit

Definition at line 20 of file pieceMask64.h.

## Member Function Documentation

int osl::container::PieceMask64::countBit | ( | ) |  | const
| inline

Definition at line 79 of file pieceMask64.h.

References osl::misc::GeneralMask< Integer >::countBit(), and mask.

int osl::container::PieceMask64::countBit2 | ( | ) |  | const
| inline

bit の数を2まで数える

Returns
  0,1,2 (2の場合は2以上)

Definition at line 69 of file pieceMask64.h.

References osl::misc::GeneralMask< Integer >::countBit2(), mask, and none().

const misc::Mask64& osl::container::PieceMask64::getMask | ( | int | ) |  | const
| inline

Definition at line 24 of file pieceMask64.h.

References mask.

bool osl::container::PieceMask64::hasMultipleBit | ( | ) |  | const
| inline

Definition at line 59 of file pieceMask64.h.

References osl::misc::GeneralMask< Integer >::hasMultipleBit(), mask, and none().

misc::Mask64& osl::container::PieceMask64::mutableMask | ( | int | ) |  |
| inlineprotected

Definition at line 22 of file pieceMask64.h.

References mask.

bool osl::container::PieceMask64::none | ( | ) |  | const
| inline

Definition at line 58 of file pieceMask64.h.

References mask, and osl::misc::GeneralMask< Integer >::none().

Referenced by countBit2(), hasMultipleBit(), and takeOneBit().

static int osl::container::PieceMask64::numToIndex | ( | int | ) |  |
| inlinestatic

Definition at line 17 of file pieceMask64.h.

static int osl::container::PieceMask64::numToOffset | ( | int | num) |  |
| inlinestatic

Definition at line 18 of file pieceMask64.h.

PieceMask64& osl::container::PieceMask64::operator&= | ( | const PieceMask64 & | o) |  |
| inline

Definition at line 38 of file pieceMask64.h.

References mask.

PieceMask64& osl::container::PieceMask64::operator+= | ( | const PieceMask64 & | o) |  |
| inline

Definition at line 53 of file pieceMask64.h.

References mask.

PieceMask64& osl::container::PieceMask64::operator-= | ( | const PieceMask64 & | o) |  |
| inline

Definition at line 48 of file pieceMask64.h.

References mask.

PieceMask64& osl::container::PieceMask64::operator^= | ( | const PieceMask64 & | o) |  |
| inline

Definition at line 33 of file pieceMask64.h.

References mask.

PieceMask64& osl::container::PieceMask64::operator|= | ( | const PieceMask64 & | o) |  |
| inline

Definition at line 43 of file pieceMask64.h.

References mask.

void osl::container::PieceMask64::resetAll | ( | ) |  |
| inline

Definition at line 25 of file pieceMask64.h.

References osl::misc::GeneralMask< Integer >::makeDirect(), and mask.

Referenced by PieceMask64().

void osl::container::PieceMask64::setAll | ( | ) |  |
| inline

Definition at line 29 of file pieceMask64.h.

References osl::misc::GeneralMask< Integer >::makeDirect(), and mask.

int osl::container::PieceMask64::takeOneBit | ( | ) |  |
| inline

Definition at line 83 of file pieceMask64.h.

References mask, none(), and osl::misc::GeneralMask< Integer >::takeOneBit().

## Member Data Documentation

misc::Mask64 osl::container::PieceMask64::mask
| protected

Definition at line 15 of file pieceMask64.h.

Referenced by countBit(), countBit2(), getMask(), hasMultipleBit(), mutableMask(), none(), operator&=(), operator+=(), operator-=(), operator^=(), operator|=(), resetAll(), setAll(), and takeOneBit().

The documentation for this class was generated from the following file:

- pieceMask64.h